//
//  ViewController.swift
//  MixpanelCrash
//
//  Created by Sam Warfield on 9/21/18.
//  Copyright © 2018 SamWarfield. All rights reserved.
//

import UIKit
import UserNotifications

class ViewController: UIViewController {
    let center = UNUserNotificationCenter.current()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.

        center.delegate = self
        center.requestAuthorization(options: [.alert, .badge, .sound]) { [unowned self] complete, error in
            let trigger = UNTimeIntervalNotificationTrigger(timeInterval: 5,
                                                            repeats: false)
            let content = UNMutableNotificationContent()
            content.sound = UNNotificationSound.default
            content.title = "Test"
            content.body = "Test body"
            content.categoryIdentifier = "categoryIdentifier"
            
            let request = UNNotificationRequest(identifier: "identifier",
                                                content: content,
                                                trigger: trigger)
            
            self.center.add(request) { error in
                if let error = error {
                    debugPrint(error.localizedDescription)
                }
            }
        }
    }
}

extension ViewController: UNUserNotificationCenterDelegate {
    func userNotificationCenter(_ center: UNUserNotificationCenter,
                                didReceive response: UNNotificationResponse,
                                withCompletionHandler completionHandler: @escaping () -> Void) {
        DispatchQueue.main.async {
            completionHandler()
        }
    }
}
